@import "../../styles/colors.scss";
@import "../../styles/responsive.scss";
@import "../../styles/fonts.scss";

.AddForm {
  color: $bgSecondaryColor;
  &__title {
    text-align: center;
    margin: 0;
    font-size: 20px;
  }
  &__disclamer {
    padding: 20px;
    margin: 0;
    text-align: justify;
    font-size: 14px;
    @include tablet {
      padding: 20px 100px;
      text-align: center;
    }
  }
  &__form {
    border-radius: 8px;
    width: 90%;
    background: $bgPrimaryColor;
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
    margin: 0 auto;
    padding: 10px;
    @include tablet {
      width: 50%;
    }
    @include desktop {
        width: 30%;
    }

    &__fieldset {
      border: 0;
      display: flex;
      flex-direction: column;
      text-align: center;
      margin: 5px 0;
      border-radius: 8px;

      &--name {
        background: linear-gradient(
          90deg,
          rgba(251, 186, 35, 1) 0%,
          rgba(249, 212, 86, 1) 100%
        );
      }
      &--description {
        background: linear-gradient(
          90deg,
          rgba(185, 174, 234, 1) 0%,
          rgba(232, 219, 251, 1) 100%
        );
      }
      &--image {
        background: linear-gradient(
          90deg,
          rgba(118, 202, 160, 1) 0%,
          rgba(176, 237, 212, 1) 100%
        );
      }
      &__label {
        font-size: 14px;
      }
      &__input {
        width: 50%;
        display: block;
        margin: 0 auto;
        border: 0;
        border-bottom: 1px solid;
        background: transparent;
      }
    }
  }
  &__button__container {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 20px 0;
    .AddForm__button {
      border: 0;
      border-radius: 8px;
      padding: 10px 40px;
      color: $bgPrimaryColor;
      font-weight: bold;
      &:first-of-type {
        margin-right: 20px;
      }
      &__link {
        text-decoration: none;
        color: inherit;
      }
      &--create {
        background-color: $bgPurple;
        cursor: pointer;
      }
      &--cancel {
        background-color: $dangerColor;
        cursor: pointer;
      }
      &--disabled {
        background-color: $disabledColor;
      }
    }
  }
  &__gallery {
    margin: 50px 0;
    &__title {
      text-align: center;
    }
    &__wrapper {
      @include tablet {
        display: flex;
        align-items: center;
        justify-content: flex-start;
        flex-wrap: wrap;
      }
    }
    &__section {
      display: block;
      text-align: center;
      padding: 20px;
      border: 2px solid;
      border-radius: 8px;
      margin: 10px;
    }
    &__name {
      margin: 5px 0;
    }
    &__description {
      margin: 0 0 10px 0;
    }
    &__image {
      width: 100%;
      max-width: 250px;
    }
  }
  &__empty {
    display: block;
    text-align: center;
    font-size: 14px;
    padding: 50px;
  }
}
